/*
 * DefaultTreeRootNode.java
 *
 * Copyright (C) 2002-2012 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.underworldlabs.swing.tree;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * Simple root node object for tree displays.
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1094 $
 * @date     $Date: 2012-02-20 23:51:20 +1100 (Mon, 20 Feb 2012) $
 */
public class DefaultTreeRootNode extends DefaultMutableTreeNode {
    
    private String label;
    
    /** Creates a new instance of DefaultTreeRootNode */
    public DefaultTreeRootNode(String label) {
        super(label, true);
        this.label = label;
    }
    
    public String toString() {
        return label;
    }
    
}


